GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get sentiment overview GETList prompt sentiment GETGet sentiment breakdown GET
Sentiment

List prompt sentiment GET

Prompts with their average brand sentiment.

List competitors GET

List a brand's competitors of one relation, filtered and paged.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Sentiment

Get sentiment breakdown

GET
/brands/{brandId}/sentiment/breakdown

Sentiment of the brand and its competitors per topic or per engine.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
scores?string

Comma-separated brand sentiment buckets: low (<30), mixed (30 to 49), fair (50 to 74), high (75 to 100)

Lengthlength <= 100
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$
by?string
Default"topic"
Value in"topic""engine"

Response Body

Tracked brands by topics or engines

application/json
  1. response
  1. response
  2. …
by*string
Value in"topic""engine"
columns*array<>
rows*array<>
brands*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sentiment/breakdown'
Example Response
{  "by": "topic",  "columns": [    {      "key": "string",      "name": "string",      "color": "string"    }  ],  "rows": [    {      "key": "string",      "values": [        0      ]    }  ],  "brands": [    {      "key": "string",      "name": "string",      "domain": "string",      "logoUrl": "string",      "isBrand": true    }  ]}

List prompt sentiment GET

Prompts with their average brand sentiment.

List competitors GET

List a brand's competitors of one relation, filtered and paged.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sentiment/breakdown'
{
  "by": "topic",
  "columns": [
    {
      "key": "string",
      "name": "string",
      "color": "string"
    }
  ],
  "rows": [
    {
      "key": "string",
      "values": [
        0
      ]
    }
  ],
  "brands": [
    {
      "key": "string",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "isBrand": true
    }
  ]
}